import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  DeleteHumanLoopCommandInput,
  DeleteHumanLoopCommandOutput,
} from "../commands/DeleteHumanLoopCommand";
import {
  DescribeHumanLoopCommandInput,
  DescribeHumanLoopCommandOutput,
} from "../commands/DescribeHumanLoopCommand";
import {
  ListHumanLoopsCommandInput,
  ListHumanLoopsCommandOutput,
} from "../commands/ListHumanLoopsCommand";
import {
  StartHumanLoopCommandInput,
  StartHumanLoopCommandOutput,
} from "../commands/StartHumanLoopCommand";
import {
  StopHumanLoopCommandInput,
  StopHumanLoopCommandOutput,
} from "../commands/StopHumanLoopCommand";
export declare const se_DeleteHumanLoopCommand: (
  input: DeleteHumanLoopCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeHumanLoopCommand: (
  input: DescribeHumanLoopCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListHumanLoopsCommand: (
  input: ListHumanLoopsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartHumanLoopCommand: (
  input: StartHumanLoopCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopHumanLoopCommand: (
  input: StopHumanLoopCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_DeleteHumanLoopCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteHumanLoopCommandOutput>;
export declare const de_DescribeHumanLoopCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeHumanLoopCommandOutput>;
export declare const de_ListHumanLoopsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListHumanLoopsCommandOutput>;
export declare const de_StartHumanLoopCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartHumanLoopCommandOutput>;
export declare const de_StopHumanLoopCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopHumanLoopCommandOutput>;
