import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DescribeHumanLoopRequest,
  DescribeHumanLoopResponse,
} from "../models/models_0";
import {
  SageMakerA2IRuntimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerA2IRuntimeClient";
export { __MetadataBearer };
export { $Command };
export interface DescribeHumanLoopCommandInput
  extends DescribeHumanLoopRequest {}
export interface DescribeHumanLoopCommandOutput
  extends DescribeHumanLoopResponse,
    __MetadataBearer {}
declare const DescribeHumanLoopCommand_base: {
  new (
    input: DescribeHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeHumanLoopCommandInput,
    DescribeHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeHumanLoopCommandInput,
    DescribeHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeHumanLoopCommand extends DescribeHumanLoopCommand_base {}
